=== debian/changelog ===
dlpack (0.0~git20200217.3ec0443-2) unstable; urgency=medium

  * Bump debhelper compat level to 13.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Jun 2020 21:01:35 +0800

dlpack (0.0~git20200217.3ec0443-1) experimental; urgency=medium

  * Initial release. (Closes: #951205)

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Apr 2020 19:14:13 +0800
