=== apps/from_numpy/Makefile ===
all: numpy_dlpack.c
	gcc -I../../include -shared -o libmain.so -fPIC numpy_dlpack.c
