=== debian/changelog ===
dlpack (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file for real releases

 -- Wookey <wookey@debian.org>  Thu, 20 Jan 2022 04:55:20 +0000
