=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dlpack-$1\.tar\.gz/ \
  https://github.com/dmlc/dlpack/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
