## dlpack 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Set variables:
 #   * PROJECT_NAME
 #   * PROJECT_VERSION
-project(dlpack VERSION 0.1.0 LANGUAGES C CXX)
+project(dlpack VERSION 0.6 LANGUAGES C CXX)
 
 #####
 # Change the default build type from Debug to Release, while still
