=== debian/changelog ===
dlpack (1.0-2) unstable; urgency=medium

  * Team upload.
  * Bump CMake policy version (Closes: #1112850)

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Sep 2025 22:14:17 +0200

dlpack (1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Apply multi-arch hints. + libdlpack-dev: Add Multi-Arch: same.

  [ Mo Zhou ]
  * New upstream version 1.0
  * Update watch file.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Oct 2024 17:30:19 -0400
