=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Homepage: https://github.com/dmlc/dlpack
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/deeplearning-team/dlpack.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/dlpack
 Maintainer: Debian Deep Learning Team <debian-science-maintainers@lists.alioth.debian.org>
@@ -13,6 +13,7 @@
 Package: libdlpack-dev
 Architecture: any
 Depends: ${misc:Depends}
+Multi-Arch: same
 Description: Open In Memory Tensor Structure
  DLPack is an open in-memory tensor structure to for sharing tensor among
  frameworks. DLPack enables
