=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake

override_dh_auto_configure:
	dh_auto_configure -Scmake -- -DCMAKE_POLICY_VERSION_MINIMUM=3.10
